package com.boman.web.core.mapper;

import com.boman.web.core.domain.AttendanceSet;

import java.util.List;

/**
 * 考勤设置Mapper接口
 * 
 * @author ruoyi
 * @date 2021-06-04
 */
public interface AttendanceSetMapper 
{
    /**
     * 查询考勤设置
     * 
     * @param id 考勤设置ID
     * @return 考勤设置
     */
    public AttendanceSet selectAttendanceSetById(Long id);

    /**
     * 查询考勤设置列表
     * 
     * @param attendanceSet 考勤设置
     * @return 考勤设置集合
     */
    public List<AttendanceSet> selectAttendanceSetList(AttendanceSet attendanceSet);

    /**
     * 新增考勤设置
     * 
     * @param attendanceSet 考勤设置
     * @return 结果
     */
    public int insertAttendanceSet(AttendanceSet attendanceSet);

    /**
     * 修改考勤设置
     * 
     * @param attendanceSet 考勤设置
     * @return 结果
     */
    public int updateAttendanceSet(AttendanceSet attendanceSet);

    /**
     * 删除考勤设置
     * 
     * @param id 考勤设置ID
     * @return 结果
     */
    public int deleteAttendanceSetById(Long id);

    /**
     * 批量删除考勤设置
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteAttendanceSetByIds(Long[] ids);
}
